%define upstream_name    Test-Able
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    xUnit with Moose
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz
# Fix Moose enum warnings, CPAN RT#92396
Patch0:         Test-Able-0.11-Moose_enum.patch
# Adapt to Test-Simple-1.302019, bug #1338792, CPAN RT#65249
Patch1:         Test-Able-0.11-Adapt-to-Test-Simple-1.302019.patch

BuildRequires:  perl(inc::Module::Install)
BuildRequires:  perl(Module::Install::AuthorTests)
BuildRequires:  perl(Module::Install::Metadata)
BuildRequires:  perl(Module::Install::WriteAll)
BuildRequires: perl(Moose) >= 0.940.0
BuildArch:  noarch

%description
An xUnit style testing framework inspired by the Test::Class manpage and
built using the Moose manpage. It can do all the important things
Test::Class can do and more. The prime advantages of using this module
instead of Test::Class are flexibility and power. Namely, Moose.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1
# Remove bundled libraries
rm -r inc
sed -i -e '/^inc\// d' MANIFEST


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README TODO
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.110.0-12.mga8
+ Revision: 1506228
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.110.0-11.mga7
+ Revision: 1286411
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.110.0-10.mga7
+ Revision: 1166716
- rebuild with fixed rpm for missing autodeps

* Fri Sep 15 2017 tv <tv> 0.110.0-9.mga7
+ Revision: 1154239
- Fix building on Perl without '.' in @INC
- Fix Moose enum warnings, CPAN RT#92396
- Adapt to Test-Simple-1.302019, rhbz#1338792, CPAN RT#65249
- Fix building on Perl without . in @INC

* Sun Jun 19 2016 pterjan <pterjan> 0.110.0-8.mga6
+ Revision: 1034062
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.110.0-7.mga6
+ Revision: 949331
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.110.0-6.mga5
+ Revision: 789644
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.110.0-5.mga5
+ Revision: 745342
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.110.0-4.mga5
+ Revision: 686396
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.110.0-3.mga4
+ Revision: 515068
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-2.mga3
+ Revision: 373325
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 26 2011 kharec <kharec> 0.110.0-1.mga2
+ Revision: 172183
- update to 0.11

* Mon Nov 07 2011 jquelin <jquelin> 0.100.0-2.mga2
+ Revision: 164921
- fix summary & description

* Mon Nov 07 2011 jquelin <jquelin> 0.100.0-1.mga2
+ Revision: 164882
- imported package perl-Test-Able


* Mon Nov 07 2011 cpan2dist 0.10-1mga
- initial mageia release, generated with cpan2dist
